<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<title>Test Vue REST</title>
	<meta name="description" content="">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css">
	<link rel="stylesheet" type="text/css" href="./style.css" />
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
	<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
   
  <script src="https://unpkg.com/axios/dist/axios.min.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/vue"></script>

  <!-- <script src="https://cdnjs.cloudflare.com/ajax/libs/axios/0.18.0/axios.js"></script> -->
  <!-- <script src="https://unpkg.com/vue"></script>  -->

    <!-- <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script> -->
     <!-- <script src="./myvue.js"></script>  -->

</head>
<body>
    <div class ="container-fluid">
    <!--carosel single images-->
    <div id="carouselExampleSlidesOnly" class="carousel slide" data-ride="carousel">
        <div class="carousel-inner">
          <div class="carousel-item active">
            <img class="d-block w-100" src="./img/magazine_banner.png" alt="banner">
          </div>
          <!-- <div class="carousel-item">
            <img class="d-block w-100" src="..." alt="Second slide">
          </div>
          <div class="carousel-item">
            <img class="d-block w-100" src="..." alt="Third slide">
          </div> -->
        </div>
      </div>

      <!--banner-->
      <div id="banner" class="bg-5 container-fluid">
		<h2 style="text-align:center">GeoMagazine</h2>
	</div>

    <div class ="container-fluid" id="app">
        <!-- ricerca -->
        <h2>Cerca itinerari</h2>
        <div class ="input-group mb-3">
        <input type="text" class="form-control" id='myInput' v-model="filtra" @change="loadQuote" placeholder="filtra"> 
        <div class="input-group-append">
        <button class="btn btn-secondary" type="button" onclick="document.getElementById('myInput').value = ''">Clear input field</button>
        <!-- <button @click.prevent="loadQuote">filtra</button> -->
        <!--{{ status }} -->
        </div>
        </div>

        <!-- Lista -->
        <div>
        <template>
            <div class="container-fluid">
            <h3>Riviste</h3>
            <div id="alert" class="alert alert-success" role="alert">  <b>filtra per: {{filtra}} <br> ordina per: {{currentSort}}, dir: {{currentSortDir}}</b></div>

            <table class="table">
            <thead>
            <tr>
            <th @click="sort('titolo')" scope="col">Titolo</th>
                      <th @click="sort('stato')" scope="col">Stato</th>
                      <th @click="sort('regione')" scope="col">Regione</th>
                      <th @click="sort('citta')" scope="col">Città</th>
                      <th @click="sort('categoria')" scope="col">Categoria</th>
                      <th @click="sort('tipo_magazine')" scope="col">Magazine</th>                     
                    </tr>
                  </thead>
                  <tbody>
            <tr v-for="riv in sortedList" v-bind:key="riv.id"> 
              <th scope="row"><a :href ="'/docs/' + riv.url_file">{{riv.titolo}}</a></th>
              <!-- <th scope="row">{{riv.titolo}}</th> -->
                      <td>{{riv.stato}}</td>
                      <td>{{riv.regione}}</td>
                      <td>{{riv.citta}}</td>
                      <td>{{riv.categoria}}</td>
                      <td>{{riv.tipo_magazine}}</td>
                    </tr>
                  </tbody>
            </table> 
          </template>
            </div>
    </div>
</div>
    <script>
        var vm = new Vue({
            el: '#app',
            data: {
                status:[],
                filtra: 'Italia',
                currentSort:'stato',
                currentSortDir:'asc'
            },
            methods: {
                loadQuote: function() {
                    //this.status = ;
                    axios.get('http://127.0.0.1/geomagazine/api/magazine/search.php' , {params: {s:this.filtra}                 
                        }).then((res) => {
                            this.status = res.data.records;
                        }).catch((res) => {
                            this.status = 'Magazine non trovato';
                        })
                },
                sort:function(s) {
                    //if s == current sort, reverse
                    if(s === this.currentSort) {
                    this.currentSortDir = this.currentSortDir==='asc'?'desc':'asc';
                    }
                    this.currentSort = s;
                } 
            },
            computed:{
                sortedList:function() {
                    return this.status.sort((a,b) => {
                    let modifier = 1;
                    if(this.currentSortDir === 'desc') modifier = -1;
                    if(a[this.currentSort] < b[this.currentSort]) return -1 * modifier;
                    if(a[this.currentSort] > b[this.currentSort]) return 1 * modifier;
                    return 0;
                    });
                }
                },
            created: function() {
                this.loadQuote(),
                this.sort()
            }
        })
    </script>
</body>
</html>
  
</body>
</html>